Skip to main content
PUT
cURL

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Path Parameters

agentId
string<uuid>
required

Unique identifier of the agent

triggerId
string<uuid>
required

Unique identifier of the trigger

Body

application/json

Request body for choosing where a trigger notifies when it creates an alert

destinationIds
string<uuid>[]
required

Slack destinations to notify when the trigger creates an alert. Empty turns the notification off.

Maximum array length: 20

Response

Successful response

Response confirming where the trigger notifies when it creates an alert

success
boolean
required

Whether the update was successful

destinationIds
string<uuid>[]
required

Destinations notified when the trigger creates an alert